=== debian/control ===
Source: freewrl
Section: utils
Priority: optional
Maintainer: Philippe Coval <rzr@gna.org>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.4
Homepage: <insert the upstream URL, if relevant>
#Vcs-Git: git://git.debian.org/collab-maint/freewrl.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/freewrl.git;a=summary

Package: freewrl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

Package: freewrl-snapshot
Architecture: all
Section: sound
Depends: freewrl (= ${source:Version}), ${misc:Depends}
Suggests: rzr
Priority: extra
Description: unreleased snapshot version
 TODO: Remove on issue and upgrade freewrl
 http://rzr.online.fr/q/snapshot#freewrl Feedback welcome
