## freewrl 1.07

=== CFrontEnd/Makefile ===
--- 
+++ 
@@ -22,11 +22,10 @@
 	$(CC) $(INC) $(PFLAGS) perlxsi.c
 
 fwopts: 
-	$(CC) $(INC) $(FWFLAGS) fwopts.c
+	$(CC) $(INC) $(FWFLAGS) $(DEFINE) fwopts.c
 
 freewrl: perlxsi fwopts
-	$(CC) $(INC) $(FRFLAGS) freewrl.c \
-	-L/usr/people/luigi/freewrl/FreeWRL-1.04.3/blib 
+	$(CC) $(INC) $(FRFLAGS) $(DEFINE) freewrl.c 
 
 	$(CC) -L../blib/arch/auto/VRML/VRMLFunc -o freewrl \
 	perlxsi.o freewrl.o fwopts.o \
